%define name gps3d
%define version 1.20
%define release 8%{?dist}

%define mapdir %{_datadir}/%{name}
%define _pixmapsdir %{_datadir}/pixmaps 

Summary: Utilities to manipulate a handled GPS and visualize the result in 3D
Name: %{name}
Version: %{version}
Release: %{release}
License: Public Domain
Group: Applications/Multimedia
Url: http://www.mgix.com/gps3d/
Vendor: Emmanuel Mogenet <mgix@mgix.com>
Prefix: %{_prefix}

Source0: http://www.mgix.com/gps3d/%{name}-%{version}.tar.bz2
Source1: gps3d.desktop
Source2: gps3d.png
Patch0: gps3d-1.20-opt_flags.patch
Patch1: gps3d-1.20-file-locations.patch
Patch2: gps3d-1.20-x86_64.patch

BuildRequires: mesa-libGL-devel, xorg-x11-proto-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
GPS3D is a collection of utilities to manipulate a handled GPS device from
your PC, and visualize the result in 3D. 
        
Even without a GPS device, you can still use gps3d to play interactively
with a 3D texture mapped model of earth.

%prep
%setup
%patch0 -p1
%patch1 -p1
%ifarch x86_64
%patch2 -p1
%endif

%build
make RPM_FLAGS="$RPM_OPT_FLAGS \
	-DMAP_FILE=\\\"%{mapdir}/map.pnm\\\" \
	-DTRACK_FILE=\\\"./Track\\\"" \
%ifarch x86_64
	LDFLAGS="-lstdc++ -L /usr/X11R6/lib64"
%else
	LDFLAGS="-lstdc++"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{mapdir},%{_desktopdir},%{_pixmapsdir}}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/gps $RPM_BUILD_ROOT%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/gpsd $RPM_BUILD_ROOT%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/viz $RPM_BUILD_ROOT%{_bindir}
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/map.pnm $RPM_BUILD_ROOT%{mapdir}

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changelog.txt Readme.txt Track
%{_bindir}/gps
%{_bindir}/gpsd
%{_bindir}/viz
%dir %{mapdir}
%{mapdir}/map.pnm
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/*

%changelog
* Thu Jul  5 2012 Peter Hanecak <hany@hany.sk> 1.20-8
- spec clean-up: BuildPrereq -> BuildRequires

* Fri Jun  4 2010 Peter Hanecak <hany@hany.sk> 1.20-7
- spec clean-up based on rpmlint feedback

* Sun Dec 27 2009 Peter Hanecak <hany@hany.sk> 1.20-6
- updated desktop file

* Sat Jan  6 2007 Peter Hanecak <hany@hany.sk> 1.20-5
- added desktop file
- fixed some mistakes and typos in spec
- added %%{?dist} into spec

* Tue Apr 11 2006 Peter Hanecak <hany@hany.sk> 1.20-4
- rebulild for Doors 9.0 (FC5)

* Fri Nov 11 2005 Peter Hanecak <hanecak@megaloman.sk> 1.20-3
- patch for x86_64

* Fri Nov 11 2005 Peter Hanecak <hanecak@megaloman.sk> 1.20-2
- rebuild (FC4)
- s/Copyright/License/
- changed group
- fixed licence

* Thu Jun  2 2005 Peter Hanecak <hanecak@megaloman.sk> 1.20-1
- update to 1.20

* Thu Feb 22 2001 Peter Hanecak <hanecak@megaloman.sk>
[1.16-1]

* Fri Sep 29 2000 Peter Hanecak <hanecak@megaloman.sk>
[1.13-1]
- %%{_prefix} usead instead of %%{prefix}

* Sun Aug 27 2000 Peter Hanecak <hanecak@megaloman.sk>
[1.12-1]
- initial spec
